AWS
action Lambda

# delete_function_concurrency

Removes concurrency limit applied to the specified Lambda

Run it now
View details

Type | action
Module | chaosaws.awslambda.actions
Name | delete_function_concurrency
Return | mapping

Usage

JSON

    {
      "name": "delete-function-concurrency",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.awslambda.actions",
        "func": "delete_function_concurrency",
        "arguments": {
          "function_name": ""
        }
      }
    }

YAML

    name: delete-function-concurrency
    provider:
      arguments:
        function_name: ""
      func: delete_function_concurrency
      module: chaosaws.awslambda.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
function_name | string |  | Yes | Function Name | Name of the function

Signature

    def delete_function_concurrency(
            function_name: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action Lambda

  ## `put_function_timeout`

  Sets the function timeout
- AWS
  action Lambda

  ## `invoke_function`

  Invokes Lambda
- AWS
  action Lambda

  ## `put_function_memory_size`

  Sets the function memory size